function last_ensinfo = get_last_ensinfo(instclass, rawdir, rawbaselist)
%%  last_ensinfo = get_last_ensinfo(instclass, rawdir)
%%  assumes blk info in files globbed created as 'ens_blk%03d.log'
%%   info from last ens created from blkbase_str.log
%%
%%   (controlled by write_blk.m)   (controlled by get_next_ens)
%%   --------------------------     ----------------------
%                                       lastens
%                                        blknum
%             profnum
%                                       ifile
%                                       rawfilebase
%                                       blkbase_str


blklist = dirs('ens_blk*.log');

%this only happens when starting a new database  or it screwed earlier
if (isempty(blklist)) | (blklist(1).bytes == 0)        
   %----------------------------  % preset 1-based numbers at 0
   last_ensinfo.lastens     =  0;  
   last_ensinfo.ifile       =  0;
   %----------------------------  % preset 0-based numbers at -1
   last_ensinfo.blknum      = -1; 
   last_ensinfo.profnum     = -1; 
   %----------------------------  % preset strings as empty
   last_ensinfo.rawfilebase = '';
   last_ensinfo.blkbase_str = '';
   return
end


% otherwise: THIS IS INCREDIBLY UGLY!  There has to be a better way...
% parse the last line of the last log file to get rawfilebase, lastens etc
logfile = blklist(end).name;
fid = fopen(logfile, 'r');
while 1
   tline = fgetl(fid);
   if ischar(tline),
      line = tline;
   else
      break
   end
end
fclose(fid);

need_to_parse = sscanf(line, '%s %d %d %d ');
rawfilebase        = char(need_to_parse(1:end-3))';
lastens            =      need_to_parse(end-2);
numens_in_profile  =      need_to_parse(end-1);
profnum            =      need_to_parse(end);


[junk, blkbase_str] = fileparts(logfile);


last_ensinfo.lastens      = lastens;
last_ensinfo.blknum       = str2num(blkbase_str(8:10));
last_ensinfo.profnum      = profnum;
last_ensinfo.ifile        = find(ismember(rawbaselist, rawfilebase));
last_ensinfo.rawfilebase  = rawfilebase;
last_ensinfo.blkbase_str  = blkbase_str;


