function [a, rr] = mk_rawens(rawdir, ensinfo, params)
%%%



rr = [];
for iseg = 1:length(ensinfo)
   rawfilebase = ensinfo(iseg).rawfilebase ;
   rawfile = fullfile(rawdir, [rawfilebase, '.raw']); 
   ilist = ensinfo(iseg).ilist;

   if (isa(params.instclass, 'os'))
      r = read(params.instclass, rawfile,  'yearbase',  params.yearbase, ...
               'ilist', ilist , 'vars', 'all',...
               'second_set', ensinfo(iseg).pingtypes.second_set);
   else
      r = read(params.instclass, rawfile,  'yearbase',  params.yearbase, ...
               'ilist', ilist , 'vars', 'all');
   end         
   r.vel = r.vel*params.velscale;
   
   %% now get navigation
   aux_struct = get_serfields(r, 'gbindir', params.gbindir, ...
                                 'path_ext', params.path_ext);
   if (isempty(aux_struct))
      fprintf('could not complete auxilliary (nav) fill\n')
      r = [];   
      fprintf(fid_log,'could not complete auxilliary (nav) fill\n')
      fclose(fid_log);  fid_log=0;
      return;
   end
   aux_fnames = fieldnames(aux_struct);
   
   
   for fnamei = 1:length(aux_fnames);
      fname = aux_fnames{fnamei};
      r = setfield(r, fname, getfield(aux_struct, fname));
   end
   
   rr = catadcp(rr, r);
   
end


% set the stage for averaging
rr.corr_dday = rr.nav.txy1(1,:);  %txy1 and txy2 are the same for single pings
a = cutadcp(rr,1);
a.num_pings = length(rr.dday);

a = avg(params.instclass, rr, a, params);
